# PrivateChat - docs

docs / com.github.insanusmokrassar.TelegramBotAPI.types.chat.abstracts / PrivateChat

# PrivateChat

(common) `interface PrivateChat : Chat, UsernameChat` (source)

### Properties

(common)

#### firstName

`abstract val firstName: String`

(common)

#### lastName

`abstract val lastName: String`

### Inheritors

(common)

#### ExtendedPrivateChat

`interface ExtendedPrivateChat : PrivateChat, ExtendedChat`

(common)

#### PrivateChatImpl

`data class PrivateChatImpl : PrivateChat`

(common)

#### User

`sealed class User : PrivateChat`